The Joomla! Forum ™



Forum rules


Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.



Post new topic Reply to topic  [ 11 posts ] 
Author Message
PostPosted: Sat Aug 15, 2009 7:15 pm 
Joomla! Fledgling
Joomla! Fledgling

Joined: Sat Aug 15, 2009 4:17 pm
Posts: 4
Going through the Quick Start Tutorial I'm getting multiple warnings like this:

Warning: Parameter 1 to JHTMLGrid::access() expected to be a reference, value given in C:\xampp\xampp\htdocs\joomla15\libraries\joomla\html\html.php on line 87

Warning: Parameter 1 to JHTMLGrid::checkedOut() expected to be a reference, value given in C:\xampp\xampp\htdocs\joomla15\libraries\joomla\html\html.php on line 87

Also my Main Menu box shows this:

Warning: Parameter 1 to modMainMenuHelper::buildXML() expected to be a reference, value given in C:\xampp\xampp\htdocs\joomla15\libraries\joomla\cache\handler\callback.php on line 99

Any help gratefully received, Day 1 with Joomla

Many thanks,

Chris Tipney
Cornwall, England


Top
 Profile  
 
PostPosted: Sun Aug 16, 2009 9:36 am 
Joomla! Fledgling
Joomla! Fledgling

Joined: Sun Aug 16, 2009 9:34 am
Posts: 2
Hello Chris, i am also a newbie to Joomla.. and experiencing the same problem.. check this link..
viewtopic.php?f=429&t=425793


Top
 Profile  
 
PostPosted: Sun Aug 16, 2009 4:19 pm 
Joomla! Fledgling
Joomla! Fledgling

Joined: Sat Aug 15, 2009 4:17 pm
Posts: 4
mosiddiqui (Sorry I don't which bit of your logon by which you would like to be called !)

Yes that link show exactly the warnings I get - any ideas about how to fix it ?

Cheers,

Chris


Top
 Profile  
 
PostPosted: Mon Aug 17, 2009 5:42 am 
Joomla! Fledgling
Joomla! Fledgling

Joined: Sun Aug 16, 2009 9:34 am
Posts: 2
Ohh thats Siddiqui..
Well on the same page they have proposed 2 solutions.
1. Reinstallation
2. Using Previous version of WAMP

I tried 1st solution on a different machine and it is working fine now.
I have used drupal online and have also worked on php, asp.net stuff..
Trying to get familiar with Joomla and Wordpress these days. What about you?
Keep in touch as we both are new and must share our problems.

Regards,

Muhammad Osama Siddiqui (MOSiddiqui)


Top
 Profile  
 
PostPosted: Mon Aug 17, 2009 6:33 am 
Joomla! Fledgling
Joomla! Fledgling

Joined: Sat Aug 15, 2009 4:17 pm
Posts: 4
Muhammad,

Thanks for the info - I don't have a spare machine to try it on at the moment but I will try re-installing.
I haven't tried any CMS systems before - how does Joomla compare to Drupal and Wordpress?

Cheers,

Chris


Top
 Profile  
 
PostPosted: Tue Sep 01, 2009 11:56 pm 
User avatar
Joomla! Enthusiast
Joomla! Enthusiast

Joined: Thu Jul 30, 2009 5:33 am
Posts: 128
Location: Melbourne, Australia
For those of you who are having this problem, try following the advice provided by Humvee here: viewtopic.php?f=429&t=425793

I had the same problem, but you can just change versions of WAMP by clicking on the system tray icon, go to PHP -> Versions -> Get More, and then select a PHP5.2.x addon...

Worked a treat!

_________________
Cheers,
Byron
Website: http://www.bhonlineconsulting.com.au/
JRD: http://resources.joomla.org/directory/o ... lting.html


Top
 Profile  
 
PostPosted: Wed Sep 02, 2009 5:28 am 
Joomla! Fledgling
Joomla! Fledgling

Joined: Sat Aug 15, 2009 4:17 pm
Posts: 4
Yup - that worked for me too.

Thanks to all,

Cheers,

Chris


Top
 Profile  
 
PostPosted: Sun Oct 04, 2009 8:28 am 
Joomla! Fledgling
Joomla! Fledgling

Joined: Sun Oct 04, 2009 8:26 am
Posts: 1
thanks thanks thanks, this works for me too.

thanks a bunch again.


Top
 Profile  
 
PostPosted: Mon Oct 19, 2009 2:10 pm 
Joomla! Fledgling
Joomla! Fledgling

Joined: Sun Oct 18, 2009 7:18 pm
Posts: 1
but he is using xampp and so am i...so i cant figure out how to add a php addon with xampp....or should i downgrade xampp?
thanks


Top
 Profile  
 
PostPosted: Fri Dec 11, 2009 5:10 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Wed Feb 18, 2009 7:06 am
Posts: 11
Im using XAMPP 1.7, how i can change the php version, to resolve this problem...




Thanks
Harry


Top
 Profile  
 
PostPosted: Tue May 18, 2010 1:10 am 
Joomla! Fledgling
Joomla! Fledgling

Joined: Tue May 18, 2010 12:10 am
Posts: 2
Hi i resolve this problem the solution here:


http://community.joomla.org/blogs/community/990-testing-help-with-php-530.html

i use the patch and great!!!!


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 11 posts ] 



Who is online

Users browsing this forum: No registered users and 16 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Jump to:  
Powered by phpBB® Forum Software © phpBB Group